2009-09-21  Gustavo Carneiro <gjc@inescporto.pt>

  * configure.ac, wscript: Bump version for 2.28.0

  * NEWS: NEWS for 2.28.0

  * Makefile.am: Bug 595380 -  braseroburn examples not shipped in tarballs

2009-09-17  Gustavo Carneiro <gjc@inescporto.pt>

  * braseroburn/brasero_burn_module.c: The braseroburn module is missing
  important constants (#595373)

  * examples/braseromedia/drive_selection.py: Workaround bug #595342 in the
  example program

2009-09-15  Sayamindu Dasgupta <sayamindu@gmail.com>

  * evince/evince.defs, evince/evince.override: Bug 594334 - Wrap DocumentLinks
  bit

2009-09-14  Gustavo Carneiro <gjc@inescporto.pt>

  * braseroburn/Makefile.am: Bug 594688 -  Fails to build out of tree

  * COPYING: Add brasero modules license information

2009-09-01  Gustavo Carneiro <gjc@inescporto.pt>

  * autogen.sh: newer automake to adapt to newer libtool

  * NEWS, configure.ac, wscript: Prepare for release 2.27.3

  * gnomekeyring/gnomekeyring.override: Wrap gnome_keyring_find_items

2009-08-16  Philippe Rouquier <bonfire-app@wanadoo.fr>

  * braseroburn/Makefile.am, braseroburn/brasero-types.c,
  braseroburn/brasero-types.h, braseroburn/brasero_burn.defs,
  braseroburn/brasero_burn.override, braseroburn/brasero_burn_module.c,
  braseroburn/wscript, braseromedia/Makefile.am,
  braseromedia/brasero_media.override, configure.ac,
  examples/braseroburn/write-audio-video.py,
  examples/braseroburn/write-data.py, examples/braseroburn/write-image.py,
  examples/braseromedia/drive_selection.py: Fix #591572 -  Update for
  braseromedia and braseromedium bindings Extends libbrasero-media and
  libbrasero-burn support

2009-07-20  Gustavo Carneiro <gjc@inescporto.pt>

  * wscript: Bug 589012: build error, missing html/ directories

2009-07-14  Gustavo Carneiro <gjc@inescporto.pt>

  * Makefile.am, braseroburn/Makefile.am, configure.ac: Fix autotools build of
  the braseroburn module

  * examples/braseromedia/drive_selection.py: Missing example from git!

  * NEWS: Update NEWS for 2.27.2.

  * configure.ac, wscript: Bump version.

2009-07-12  Frédéric Péters <fpeters@0d.be>

  * braseroburn/brasero_burn.defs: update to API change in libbraseroburn

2009-06-21  Gustavo Carneiro <gjc@inescporto.pt>

  * braseroburn/Makefile.am, braseroburn/brasero_burn.defs,
  braseroburn/brasero_burn.override, braseroburn/brasero_burn_module.c,
  braseroburn/wscript, tests/common.py, wscript: Bug 584831 – add python
  bindings for libbrasero-burn

  * COPYING: Bug 585722 – No licensing information for evince module

  * evince/evince.defs: Bug 586413 – compilation error due to: evince.c:857:
  error: implicit declaration of function ‘ev_view_update_view_size’

2009-05-03  Gustavo Carneiro <gjc@inescporto.pt>

  * Makefile.am: minor autotools fixes

  * Makefile.am: autotools fixes wrt the new braseromedia module

  * NEWS: Update NEWS

  * tests/common.py: import braseromedia on waf check

2009-05-03  Frederic Peters <fpeters@0d.be>

  * braseromedia/Makefile.am, braseromedia/bm_module.c,
  braseromedia/brasero_media.defs, braseromedia/brasero_media.override,
  braseromedia/wscript, configure.ac, wscript: Bug 569055 – add python
  bindings for libbrasero-media

2009-05-03  Gustavo Carneiro <gjc@inescporto.pt>

  * configure.ac, wscript: bump version

2009-05-02  Gustavo Carneiro <gjc@inescporto.pt>

  * generate-ChangeLog, gitlog2changelog.py: ChangeLog generation from GIT

2009-04-28  Gustavo Carneiro <gjc@inescporto.pt>

  * gnomeapplet/applet.override: Missing include

2009-04-26  Gustavo Carneiro <gjc@inescporto.pt>

  * gnomeapplet/applet.override: Add missing GNOME_CLIENT_PARAM_SM_CONNECT,
  FALSE in gnomeapplet module.  Closes #579390.

2009-04-24  Gustavo Carneiro <gjc@inescporto.pt>

  * : Bug 579396 – cannot build from git (missing empty directory)

2009-03-14  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * NEWS, configure.ac, wscript: Version 2.26.0  svn path=/trunk/; revision=549

2009-03-08  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * gnomedesktop/_gnomedesktop.defs: Add caller-owns-return annotations for
  xxx_new_from_xxx functions.  Fixes #570540.  svn path=/trunk/; revision=548

2009-02-24  John Stowers <jstowers@src.gnome.org>

  * evolution/ebookmodule.c, evolution/ecalmodule.c: Correctly include the
  GNOME_PYTHON_DESKTOP_*_VERSION attributes in the module __version__
  attribute.  svn path=/trunk/; revision=547

2009-02-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * evolution/ebookmodule.c, evolution/ecalmodule.c: Automatically import
  bonobo during evolution modules initialization, to avoid certain problems
  (see #561354).  svn path=/trunk/; revision=546

  * evolution/wscript: Fix typos in waf install path for evolution modules  svn
  path=/trunk/; revision=545

2009-02-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * tests/common.py, totem/plparsermodule.c: Add bug #571829 test case  svn
  path=/trunk/; revision=544

  * evince/evince.override: (patch from Tomeu Vizoso) Bug 572575 –
  evince.JobFind() crashes caller  svn path=/trunk/; revision=543

2009-02-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * NEWS, configure.ac, wscript: Release 2.25.91  svn path=/trunk/;
  revision=541

2009-02-05  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * evince/evincemodule.c: Call ev_shutdown() on a python atexit handler;
  closes #570622.  svn path=/trunk/; revision=540

2009-02-01  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * NEWS, configure.ac, wscript: Prepare 2.25.90 release  svn path=/trunk/;
  revision=536

2009-01-31  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * gnomeapplet/appletmodule.c: Bug 569823 – get_popup_component does not
  return correct object  svn path=/trunk/; revision=535

  * wnck/wscript: (from Tomeu Vizoso) Bug 568284 – Error building wnck
  bindings  svn path=/trunk/; revision=534

  * waf: Upgrade to WAF 1.5.3  svn path=/trunk/; revision=533

2009-01-30  Christian Persch <chpe@src.gnome.org>

  * evince/evince.defs, evince/evince.override, evince/evincemodule.c: Update
  evince bindings for new evince initialisation function. Bug #569873  svn
  path=/trunk/; revision=532

2009-01-28  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * evince/evince.override, evince/evincemodule.c: (patch by Tomeu Vizoso)
  Initialize evince in module init, instead of wrapping an init function. 
  Closes #568287.  svn path=/trunk/; revision=531

2009-01-28  Frederic Peters <fpeters@src.gnome.org>

  * Makefile.am, configure.ac, evince/Makefile.am: added support for building
  the evince module when using autotools.  svn path=/trunk/; revision=530

2009-01-27  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * evince/evince.defs, evince/evince.override, evince/evincemodule.c,
  evince/wscript, tests/common.py, wscript: (from Tomeu Vizoso) Bug 568287 –
  Add python bindings for evince.  svn path=/trunk/; revision=529

2009-01-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * Makefile.am: automake disthook fixes  svn path=/trunk/; revision=527

  * .bzrignore: ignore files  svn path=/trunk/; revision=526

  * configure.ac, wscript: Version 2.25.1  svn path=/trunk/; revision=525

  * NEWS: Update  svn path=/trunk/; revision=524

  * gtop/gtop.c: [Jasper Lievisse Adriaanse] Bug 565469 – missing #include in
  gtop.c  svn path=/trunk/; revision=523

  * evolution/__init__.py, evolution/wscript: Bug 561727 – evolution still
  installed even if disabled  svn path=/trunk/; revision=522

  * waf, wscript: Upgrade to a newer waf  svn path=/trunk/; revision=521

2009-01-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * wscript: Bug 555137 – WAF build system does not install bugbuddy module 
  svn path=/trunk/; revision=520

2009-01-03  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * wscript: Use the gnu_dirs waf tool, so that --libdir configure option works
   svn path=/trunk/; revision=519

  * waf: Add standalone waf script  svn path=/trunk/; revision=518

  * .bzrignore: ignore file  svn path=/trunk/; revision=516

  * wscript: Fix WAF dist_hook  svn path=/trunk/; revision=515

  * wscript: Properly enable autoconfig in WAF  svn path=/trunk/; revision=514

  * docs/gnomeprint/wscript: cleanup  svn path=/trunk/; revision=513

  * README, docs/gnomeprint/wscript, docs/gnomeprintui/wscript,
  docs/gtksourceview/wscript, evolution/wscript, gnomeapplet/wscript,
  gnomedesktop/wscript, gnomekeyring/wscript, gnomeprint/wscript,
  gtksourceview/wscript, gtop/wscript, mediaprofiles/wscript,
  metacity/metacity.override, metacity/wscript, nautilusburn/wscript,
  rsvg/wscript, totem/wscript, wnck/wscript, wscript: Port to modified version
  of WAF 1.5.x  svn path=/trunk/; revision=512

2008-12-25  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * tests/runtests.py: typo  svn path=/trunk/; revision=510

  * ChangeLog, tests/common.py, tests/runtests.py: Don't use ltihooks in the
  WAF build system.  Closes #565598.  svn path=/trunk/; revision=509

  * ChangeLog, tests/common.py, tests/runtests.py, wscript: Run tests from the
  WAF build system too  svn path=/trunk/; revision=508

2008-12-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: bug #564525, autotools part  svn path=/trunk/;
  revision=507

2008-12-19  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, wscript: 2.24.1  svn path=/trunk/; revision=505

  * ChangeLog, configure.ac: Bug 564550 – gnome-python libtool-2.2 patch  svn
  path=/trunk/; revision=504

  * gtop/ChangeLog: clean  svn path=/trunk/; revision=503

  * gtop/ChangeLog, gtop/gtop.c: Bug 560390 – gtop.c fails to compile  svn
  path=/trunk/; revision=502

2008-12-16  Luis Medinas <lmedinas@gnome.org>

  * ChangeLog, gnomeapplet/applet.override, gnomeapplet/appletmodule.c,
  gnomeapplet/wscript: Fix build error with missing libgnome/libgnomeui flags.
  Patch from Lucas  2008-12-16  Luis Medinas  <lmedinas@gnome.org>  *
  gnomeapplet/applet.override: * gnomeapplet/appletmodule.c: *
  gnomeapplet/wscript:  Fix build error with missing libgnome/libgnomeui flags.
  Patch from Lucas Rocha <lucasr@gnome.org> closes bgo #564525   svn
  path=/trunk/; revision=501

2008-10-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, tests/common.py: bug fix  svn path=/trunk/; revision=500

2008-09-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, wscript: 2.24.0  svn path=/trunk/;
  revision=498

2008-08-31  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, wscript: 2.23.1  svn path=/trunk/; revision=496

  * ChangeLog, totem/plparsermodule.c: [Bug 503343] Can't load playlist files 
  svn path=/trunk/; revision=495

2008-08-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/wscript, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, gtksourceview/wscript,
  mediaprofiles/wscript, metacity/wscript, nautilusburn/wscript, rsvg/wscript,
  totem/wscript, wnck/wscript, wscript: Bug 548535 – pygtk-codegen-2.0 ->
  pygobject-codegen-2.0 (WAF part).  svn path=/trunk/; revision=494

2008-06-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS: version 2.23.0  svn path=/trunk/; revision=490

2008-05-31  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/wscript, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, gtksourceview/wscript,
  gtop/ChangeLog, gtop/wscript, mediaprofiles/wscript, metacity/wscript,
  nautilusburn/wscript, rsvg/wscript, totem/wscript, wnck/wscript, wscript: Add
  --enable-modules option to the WAF build  svn path=/trunk/; revision=489

2008-05-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac, docs/Makefile.am: Bug 534307 –
  configure script could really use the ability to select particular modules 
  svn path=/trunk/; revision=488

2008-05-09  John Stowers <john.stowers@gmail.com>

  * ChangeLog, evolution/ebook.defs, evolution/evo-contact.c: Wrap more
  addressbook functions, is_opened, is_writable, is_online, open,  2008-05-09 
  John Stowers  <john.stowers@gmail.com>  * evolution/ebook.defs: Wrap more
  addressbook functions, is_opened, is_writable, is_online, open,
  new_{default,system}_addressbook, get_uri, set_default_addressbook.  *
  evolution/evo-contact.c (evo_contact_get_name): Stop warning when contact
  doesnt have a name set.   svn path=/trunk/; revision=487

2008-05-08  John Stowers <john.stowers@gmail.com>

  * ChangeLog, evolution/ebook.defs, evolution/ecal.defs,
  evolution/evo-addressbook.c, evolution/evo-addressbook.h,
  evolution/evo-calendar.c, evolution/evo-calendar.h,
  examples/evolution/evo-test.py: Wrap e_source_peek_uid() as ebook.get_uid()
  and ecalsource.get_uid().  2008-05-09  John Stowers  <john.stowers@gmail.com>
   * evolution/ebook.defs: * evolution/ecal.defs: * evolution/evo-addressbook.c
  (evo_addressbook_get_uid): * evolution/evo-addressbook.h: *
  evolution/evo-calendar.c (evo_cal_source_get_uid): *
  evolution/evo-calendar.h: * examples/evolution/evo-test.py: Wrap
  e_source_peek_uid() as ebook.get_uid() and ecalsource.get_uid(). Fixes
  #519258   svn path=/trunk/; revision=486

2008-05-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * evolution/wscript, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, gtksourceview/wscript,
  gtop/wscript, mediaprofiles/wscript, metacity/wscript, nautilusburn/wscript,
  rsvg/wscript, totem/wscript, wnck/wscript, wscript: This time it should
  really work with WAF 1.4.1... (API change)  svn path=/trunk/; revision=485

  * ChangeLog, docs/gnomeprint/wscript, docs/gnomeprintui/wscript,
  docs/gtksourceview/wscript, evolution/wscript, gnomeapplet/wscript,
  gnomedesktop/wscript, gnomekeyring/wscript, gnomeprint/wscript,
  gtksourceview/wscript, gtop/ChangeLog, gtop/wscript, mediaprofiles/wscript,
  metacity/wscript, nautilusburn/wscript, rsvg/wscript, totem/wscript,
  wnck/wscript, wscript: Fixes for the upcoming WAF 1.4.1 (but still also works
  with WAF 1.3.2)  svn path=/trunk/; revision=484

  * ChangeLog, gnomekeyring/gnomekeyring.override: Bug 531254 – [PATCH]
  gnomekeyring.get_default_keyring_sync() always returns None  svn
  path=/trunk/; revision=483

2008-04-12  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, wscript: Bump to version 2.23.0  svn path=/trunk/;
  revision=481

2008-03-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, wscript: 2.22.0  svn path=/trunk/;
  revision=478

2008-02-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: 2.21.3  svn path=/trunk/; revision=476

  * ChangeLog, wscript: wscript typo  svn path=/trunk/; revision=475

  * ChangeLog, NEWS: Update NEWS  svn path=/trunk/; revision=474

  * configure.ac, wscript: Bump version  svn path=/trunk/; revision=473

  * ChangeLog, INSTALL.WAF, Makefile.am, configure.ac: Add autotools
  deprecation warning and WAF build instructions.  svn path=/trunk/;
  revision=472

2008-02-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/evo-calendar.c: Fix potential NULL strings inside
  g_warnings (bug #505647).  * evolution/evo-calendar.c
  (evo_cal_source_open_source) (evo_cal_source_open_new_with_absolute_uri): Fix
  potential NULL strings inside g_warnings (bug #505647).   svn path=/trunk/;
  revision=471

2008-02-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/wscript, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, gtksourceview/wscript,
  gtop/ChangeLog, gtop/wscript, mediaprofiles/wscript, metacity/wscript,
  nautilusburn/wscript, rsvg/wscript, totem/wscript, wnck/wscript: Fix Mac OS X
  build with WAF.  svn path=/trunk/; revision=470

  * ChangeLog, gnomekeyring/gnomekeyring.override: Bug 516788 – gnomekeyring:
  find_network_password_sync returns None instead of results  svn path=/trunk/;
  revision=469

2008-02-03  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, wscript: WAF: allow python tool to use libdir (with waf trunk) 
  svn path=/trunk/; revision=468

2008-01-14  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, wscript: 2.21.2  svn path=/trunk/;
  revision=466

2008-01-05  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/ebook.override, evolution/ecal.defs,
  evolution/ecal.override, evolution/evo-calendar.c, evolution/evo-calendar.h,
  evolution/wscript, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, gtksourceview/wscript,
  mediaprofiles/wscript, metacity/wscript, nautilusburn/wscript, rsvg/wscript,
  totem/wscript, wnck/wscript: Fix bug #505305; fix WAF build errors; fix some
  warnings.  svn path=/trunk/; revision=465

  * ChangeLog, evolution/wscript: Fix stupid error in the WAF build  svn
  path=/trunk/; revision=464

2007-12-30  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/ebook.override, evolution/evo-addressbook.c,
  evolution/evo-addressbook.h, evolution/evo-calendar.c,
  evolution/evo-calendar.h, evolution/evo-ebook-environment.c,
  evolution/evo-ebook-environment.h, evolution/evo-ecal-environment.c,
  evolution/evo-ecal-environment.h: Fix warnings in the evolution modules  svn
  path=/trunk/; revision=463

  * ChangeLog, evolution/ebook.override, evolution/ecal.override: Bug 506401
  – evolution *.override files need NO_IMPORT_PYGOBJECT defined to avoid
  multiply defined symbols at link time  svn path=/trunk/; revision=462

2007-12-29  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, metacity/metacity.defs: Bug 505307 – Compilation
  fails against metacity 2.21  svn path=/trunk/; revision=461

2007-12-20  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, evolution/ebook.override, evolution/ecal.override: Add
  __version__ to evolution modules  svn path=/trunk/; revision=460

2007-12-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: 2.21.1  svn path=/trunk/; revision=458

  * gnomekeyring/wscript: waf fix  svn path=/trunk/; revision=457

  * ChangeLog, NEWS, configure.ac, gnomekeyring/gnomekeyringmodule.c,
  gnomekeyring/wscript: compile with gnome-keyring < 2.20.1  svn path=/trunk/;
  revision=456

  * gtop/ChangeLog: cleanup  svn path=/trunk/; revision=455

  * ChangeLog, Makefile.am, docs/gnomeprint/Makefile.am,
  docs/gnomeprintui/Makefile.am, docs/gtksourceview/Makefile.am,
  evolution/Makefile.am, gnomeapplet/Makefile.am, gnomedesktop/Makefile.am,
  gnomekeyring/Makefile.am, gnomeprint/Makefile.am, gtksourceview/Makefile.am,
  gtop/ChangeLog, gtop/Makefile.am, mediaprofiles/Makefile.am,
  metacity/Makefile.am, nautilusburn/Makefile.am, rsvg/Makefile.am,
  totem/Makefile.am, wnck/Makefile.am: Ship the wscript files  svn
  path=/trunk/; revision=454

  * ChangeLog, Makefile.am: ship waf  svn path=/trunk/; revision=453

  * ChangeLog, INSTALL, evolution/wscript: Fix compilation of override_common.c
  twice  svn path=/trunk/; revision=452

2007-12-16  Gian Mario Tagliaretti <gianmt@src.gnome.org>

  * ChangeLog, wnck/wnck.defs, wnck/wnck.override: Update wnck bindings up to
  2.20 API.  svn path=/trunk/; revision=451

2007-12-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, evolution/wscript, gnomeapplet/wscript,
  gnomedesktop/wscript, gnomeprint/wscript, gtksourceview/wscript,
  gtop/ChangeLog, gtop/wscript, mediaprofiles/wscript, metacity/wscript,
  nautilusburn/wscript, rsvg/rsvgmodule.c, rsvg/wscript, totem/wscript,
  wnck/wscript, wscript: Finish the WAF port.  svn path=/trunk/; revision=450

  * evolution/ebook.override, evolution/ecal.override: fix emacs modelines  svn
  path=/trunk/; revision=449

  * docs/gnomeprint/Makefile.am, docs/gnomeprintui/Makefile.am,
  docs/gtksourceview/Makefile.am: distcheck fixes  svn path=/trunk/;
  revision=448

  * ChangeLog, mediaprofiles/mediaprofilesmodule.c: avoid error hiding  svn
  path=/trunk/; revision=446

2007-12-10  John Stowers <jstowers@src.gnome.org>

  * ChangeLog, evolution/Makefile.am, evolution/__init__.py,
  evolution/ebook-enums.c, evolution/ebook-enums.h, evolution/ebook.defs,
  evolution/ebook.override, evolution/ebookmodule.c, evolution/ecal.defs,
  evolution/ecal.override, evolution/ecalmodule.c, evolution/evo-addressbook.c,
  evolution/evo-addressbook.h, evolution/evo-calendar.c,
  evolution/evo-calendar.h, evolution/evo-contact.c, evolution/evo-contact.h,
  evolution/evo-ebook-environment.c, evolution/evo-ebook-environment.h,
  evolution/evo-ecal-environment.c, evolution/evo-ecal-environment.h,
  evolution/evolution.h, evolution/gen-defs.sh, evolution/override_common.c,
  evolution/override_common.h, examples/evolution/Makefile.am,
  examples/evolution/bookquery.py, examples/evolution/bookview.py,
  examples/evolution/evo-test.py, examples/evolution/evolution.glade,
  examples/evolution/vcal-test.py: Add basic evolution bindings  svn
  path=/trunk/; revision=444

2007-12-10  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gnomeprint/wscript, docs/gnomeprintui/wscript,
  docs/gtksourceview/gtksourceview-classes.xml, docs/gtksourceview/wscript,
  docs/pygtk-ref-docs.make, gnomeapplet/wscript, gnomedesktop/wscript,
  gnomekeyring/wscript, gnomeprint/wscript, wscript: WAF support, work in
  progress  svn path=/trunk/; revision=443

2007-12-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyringmodule.c: Handle the GnomeKeyringResult
  code 'GNOME_KEYRING_RESULT_NO_MATCH'.  svn path=/trunk/; revision=442

  * ChangeLog, gnomekeyring/gnomekeyringmodule.c: Handle unknown
  GnomeKeyringResult codes more gracefully.  svn path=/trunk/; revision=441

2007-11-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, wnck/wnck.defs: Bug 483529 – No bindings for
  wnck_set_client_type and WnckClientType  svn path=/trunk/; revision=440

2007-09-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.20.0  svn path=/trunk/; revision=437

2007-09-01  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * MAINTAINERS: Fix the MAINTAINERS file to the new mandatory format.  svn
  path=/trunk/; revision=436

2007-08-22  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/gtop.c: Fixed compile warning with return type of get_proclist. the
  last CPU was  * Fixed compile warning with return type of get_proclist. *
  Fixed SMP handling : the last CPU was always omited. This also makes CPU
  lists always non-empty, like cpu().cpus.  svn path=/trunk/; revision=435

2007-07-30  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.19.2  svn path=/trunk/; revision=433

2007-07-26  Sebastian Rittau <srittau@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring.override: r14389@robinson:  srittau |
  2007-07-26 22:08:33 +0200 (gnome_keyring_set_network_password_sync): All
  parameters except password are now optional.  svn path=/trunk/; revision=432

  * ChangeLog, gnomekeyring/gnomekeyring.override: r14386@robinson:  srittau |
  2007-07-26 20:53:04 +0200 made parameters of
  _wrap_gnome_keyring_find_network_password_sync optional  svn path=/trunk/;
  revision=431

2007-07-26  Sebastian Rittau <srittau@jroger.in-berlin.de>

  * ChangeLog, gnomekeyring/gnomekeyring.override: r14370@robinson:  srittau |
  2007-07-26 18:02:55 +0200 2007-07-26  Sebastian Rittau 
  <srittau@jroger.in-berlin.de>  * gnomekeyring/gnomekeyring.override
  (gnome_keyring_set_network_password_sync)
  (gnome_keyring_find_network_password_sync): Allow most parameters to be
  None/NULL.  svn path=/trunk/; revision=430

2007-07-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring.override: Bug 455379 –
  _wrap_gnome_keyring_get_default_keyring_sync doesn't check keyring variable
  to be NULL.  svn path=/trunk/; revision=429

  * ChangeLog, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override: Allow keyring parameters to be None/NULL
  everywhere.  svn path=/trunk/; revision=428

2007-07-08  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, totem/plparser.override, wnck/wnck.override: __version__  svn
  path=/trunk/; revision=427

  * ChangeLog, gnomeapplet/applet.override,
  gnomedesktop/_gnomedesktop.override, gnomekeyring/gnomekeyring.override,
  gnomeprint/print.override, gnomeprint/printui.override,
  gtksourceview/gtksourceview.override, mediaprofiles/mediaprofiles.override,
  metacity/metacity.override, nautilusburn/nautilus_burn.override,
  rsvg/rsvg.override: module.__version__ == VERSION  svn path=/trunk/;
  revision=426

2007-07-07  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.19.1  svn path=/trunk/; revision=424

2007-06-17  Sebastien Bacher <seb128@ubuntu.com>

  * ChangeLog, acinclude.m4: use python-config to get python includes (Closes
  #448180)  2007-06-17  Sebastien Bacher  <seb128@ubuntu.com>  * acinclude.m4:
  use python-config to get python includes (Closes #448180)  svn path=/trunk/;
  revision=423

2007-06-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, wnck/wnck.defs, wnck/wnck.override: wrap
  WnckSelector  svn path=/trunk/; revision=422

  * ChangeLog, configure.ac: update metacity required version  svn
  path=/trunk/; revision=421

  * ChangeLog, metacity/metacity.defs: Bug 428697 – The metacity API has
  changed in 2.19.x  svn path=/trunk/; revision=420

2007-04-09  Gian Mario Tagliaretti <gianmt@src.gnome.org>

  * COPYING, ChangeLog, autogen.sh: Update package names and their licences 
  svn path=/trunk/; revision=418

2007-03-12  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.18.0  svn path=/trunk/; revision=416

2007-03-10  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring.override: Bug 416240 –
  gnome_keyring_find_items_sync wrapper crashes  svn path=/trunk/; revision=415

2007-02-27  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.17.93  svn path=/trunk/; revision=413

  * ChangeLog, configure.ac: bump metacity required version  svn path=/trunk/;
  revision=412

  * ChangeLog, configure.ac: --enable-metacity  svn path=/trunk/; revision=411

  * ChangeLog, metacity/metacity.defs: metacity API changes  svn path=/trunk/;
  revision=410

2007-02-25  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS: 2.17.92  svn path=/trunk/; revision=408

  * ChangeLog, configure.ac: require metacity 2.17.5  svn path=/trunk/;
  revision=407

  * ChangeLog, configure.ac: bump version  svn path=/trunk/; revision=406

  * ChangeLog, Makefile.am: Remove duplicate appearance of 'tests' in SUBDIRS 
  svn path=/trunk/; revision=405

2007-02-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, metacity/metacity.defs: Bug 409252 – binding does not follow
  metacity  svn path=/trunk/; revision=404

2007-02-11  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring.override, rsvg/rsvg.override: Bug
  405328 – PyGObject_API multiply defined on darwin  svn path=/trunk/;
  revision=403

2007-01-28  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, totem/Makefile.am: Bug 401760 – plparser fails to build  svn
  path=/trunk/; revision=402

2007-01-20  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: Bug 398305 – bugbuddy installation  svn
  path=/trunk/; revision=401

2007-01-08  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, gnome-python-desktop-2.0.pc.in: 2.17.3  svn
  path=/trunk/; revision=399

2007-01-07  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, gnome-python-desktop-2.0.pc.in,
  gnomeprint/__init__.py, tests/common.py: 2.17.2  svn path=/trunk/;
  revision=397

  * ChangeLog, Makefile.am, bugbuddy.py, configure.ac: Bug 346106 – Invoke
  bug-buddy with unhandled exceptions  svn path=/trunk/; revision=396

2007-01-06  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * gnomekeyring/gnomekeyring.override: Py_ssize_t fix  svn path=/trunk/;
  revision=395

  * ChangeLog, configure.ac, totem/plparser.override: update to old
  totem_pl_parser API changes  svn path=/trunk/; revision=394

  * ChangeLog, wnck/wnckmodule.c: Add missing prototype for
  pywnck_add_constants.  svn path=/trunk/; revision=393

  * ChangeLog, gnomeprint/__init__.py: deprecate gnomeprint  svn path=/trunk/;
  revision=392

  * ChangeLog, configure.ac, gnomeapplet/Makefile.am, gnomedesktop/Makefile.am,
  gnomekeyring/Makefile.am, gtksourceview/Makefile.am,
  mediaprofiles/Makefile.am, metacity/Makefile.am, nautilusburn/Makefile.am,
  rsvg/Makefile.am, rsvg/rsvg.override, totem/Makefile.am, wnck/Makefile.am:
  Bug 338492 – Python 2.5, int vs ssize_t  svn path=/trunk/; revision=391

  * ChangeLog, gtksourceview/gtksourceview.override: Bug 351567 –
  SourceLanguage.__repr__ should include language id  svn path=/trunk/;
  revision=390

  * ChangeLog, gnomekeyring/gnomekeyringmodule.c: Bug 368364 – Referencing
  static vars in inline function breaks on Solaris  svn path=/trunk/;
  revision=389

2007-01-05  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, metacity/metacity.defs: Bug 393198 – svn build fails  svn
  path=/trunk/; revision=388

2007-01-03  Kjartan Maraas <kmaraas@gnome.org>

  * ChangeLog: Remove reference to META_MENU_OP_UNABOVE since that has been
  removed from  2007-01-03  Kjartan Maraas  <kmaraas@gnome.org>  *
  metacity/metacity.c: Remove reference to META_MENU_OP_UNABOVE since that has
  been removed from metacity recently. Fixes build.  svn path=/trunk/;
  revision=387

2006-12-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring-argtypes.py,
  gnomekeyring/gnomekeyring.defs, gnomekeyring/gnomekeyring.override: Bug
  386366 – implementation of gnomekeyring.find_items_sync

2006-11-19  Paolo Borelli <pborelli@katamail.com>

  * ChangeLog, gtksourceview/gtksourceview.override: make get_mime_types()
  returns the proper list. Fixes #351367.  2006-11-19  Paolo Borelli 
  <pborelli@katamail.com>  * gtksourceview/gtksourceview.override: make
  get_mime_types() returns the proper list. Fixes #351367.

2006-10-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, NEWS, configure.ac,
  gtksourceview/gtksourceviewmodule.c, tests/Makefile.am, tests/common.py:
  2.17.1

  * ChangeLog, Makefile.am, examples/keyring-async.py, examples/keyring.py,
  gnomekeyring/gnomekeyring.override, gnomekeyring/gnomekeyringmodule.c: wrap a
  couple of keyring async functions

2006-10-14  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, metacity/metacity.defs: Bug 362056 – HEAD Compilation failed
  because metacity.h has changed

2006-10-01  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, examples/wnck_example.py: Bug 353112 – no wnck
  example

2006-09-15  Marco Pesenti Gritti <mpg@redhat.com>

  * ChangeLog, mediaprofiles/Makefile.am: Use the gnome-python defs dir for
  gconf.defs  2006-09-15 Marco Pesenti Gritti  <mpg@redhat.com>  *
  mediaprofiles/Makefile.am:  Use the gnome-python defs dir for gconf.defs

2006-09-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.16.0

2006-08-30  Marco Pesenti Gritti <mpg@redhat.com>

  * ChangeLog, gnomeapplet/Makefile.am: Use the gnome-python defs dir for
  bonobo.defs  2006-08-31 Marco Pesenti Gritti  <mpg@redhat.com>  *
  gnomeapplet/Makefile.am:  Use the gnome-python defs dir for bonobo.defs

2006-08-26  Marco Pesenti Gritti <mpg@redhat.com>

  * ChangeLog, configure.ac, gnomeprint/Makefile.am: Use the gnome-python defs
  dir for canvas.defs (#352991).  2006-08-26 Marco Pesenti Gritti 
  <mpg@redhat.com> * configure.ac: * gnomeprint/Makefile.am: Use the
  gnome-python defs dir for canvas.defs (#352991).

2006-07-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.15.90

2006-07-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, wnck/wnck.defs: Magnus Therning: Add wrapper for
  wnck_window_set_geometry (#342900)

2006-07-20  Marco Pesenti Gritti <mpg@redhat.com>

  * ChangeLog, wnck/wnck.defs: Add wnck_window_get_transient  2006-07-20  Marco
  Pesenti Gritti  <mpg@redhat.com>  * wnck/wnck.defs: Add
  wnck_window_get_transient

2006-07-10  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.15.4

2006-07-05  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, metacity/metacity.override, wnck/wnck.override: Bug 345148 –
  Build failure on Mac OS X.

  * ChangeLog, configure.ac: Blacklist pygtk 2.9.[01].

2006-06-11  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.15.3 release

2006-06-03  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, nautilusburn/nautilus_burn.defs: unblock threads around
  nautilus_burn_recorder_blank_disc

  * ChangeLog, nautilusburn/nautilus_burn.defs,
  nautilusburn/nautilus_burn.override: finish nautilusburn API update

  * ChangeLog, wnck/wnck.override: Bug 343332 – Binding to
  wnck_window_get_geometry() missing

2006-06-02  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, nautilusburn/Makefile.am, nautilusburn/nautilus_burn.defs,
  nautilusburn/nautilus_burn.override, nautilusburn/nb_drive.c,
  nautilusburn/nb_drive.h, nautilusburn/nb_drive_selection.defs,
  nautilusburn/nb_module.c, nautilusburn/nb_typebuiltins.c,
  nautilusburn/nb_typebuiltins.h: Bug 343445 – libnautilus-burn API changes

2006-05-25  Frederic Peters <fpeters@0d.be>

  * ChangeLog, metacity/metacity.defs: updated MetaCursor enum.  2006-05-25 
  Frederic Peters  <fpeters@0d.be>  * metacity/metacity.defs: updated
  MetaCursor enum.

2006-05-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, examples/keyring.py: new gnomekeyring example

2006-05-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomekeyring/gnomekeyring.override: check null attributes

  * ChangeLog, gnomekeyring/gnomekeyring-argtypes.py,
  gnomekeyring/gnomekeyring.defs, gnomekeyring/gnomekeyring.override,
  gnomekeyring/gnomekeyringmodule.c: map gnomekeyring error codes to exceptions

  * gnomekeyring/gnomekeyring.override: map gnomekeyring error codes to
  exceptions

2006-05-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, metacity/metacitymodule.c: release 2.15.2

2006-05-08  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/pygtk-ref-docs.make: force utf-8 encoding on reference docs

2006-04-30  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomedesktop/_gnomedesktop.override: untabify..

2006-04-29  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac, gnomedesktop/Makefile.am,
  tests/common.py: add gnomedesktop bindings from deskbar

2006-04-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, gnomekeyring/Makefile.am: 2.15.1

  * ChangeLog, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override: wrap all remaining gnomekeyring _sync
  APIs

  * ChangeLog, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override: _wrap_gnome_keyring_item_create_sync; fix
  error in _wrap_gnome_keyring_get_info_sync; fix acl methods

  * ChangeLog, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override: unblock threads in _sync APIs

2006-04-22  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, gnomekeyring/Makefile.am,
  gnomekeyring/gnomekeyring-argtypes.py, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override, tests/common.py: improve coverage of
  gnomekeyring module

  * ChangeLog, Makefile.am, configure.ac, gnomekeyring/.cvsignore,
  gnomekeyring/Makefile.am, gnomekeyring/gnomekeyring.defs,
  gnomekeyring/gnomekeyring.override, gnomekeyring/gnomekeyringmodule.c: start
  of gnomekeyring bindings (#338387)

2006-04-18  Sebastian Rittau <srittau@jroger.in-berlin.de>

  * ChangeLog, examples/rsvg/rsvg-cairo.py, rsvg/rsvg.defs, rsvg/rsvg.override:
  reviewed by: Gustavo Carneiro.  2006-04-18  Sebastian Rittau 
  <srittau@jroger.in-berlin.de>  reviewed by: Gustavo Carneiro.  *
  rsvg/rsvg.override: Merge handle_new_from_file and handle_new_from_data into
  Handle constructor as optional arguments. * examples/rsvg/rsvg-cairo.py: Use
  the new constructor notation.

2006-04-17  Sebastian Rittau <srittau@jroger.in-berlin.de>

  * ChangeLog, rsvg/rsvg.defs, rsvg/rsvg.override: reviewed by: Gustavo
  Carneiro.  2006-04-17  Sebastian Rittau  <srittau@jroger.in-berlin.de> 
  reviewed by: Gustavo Carneiro.  * rsvg/rsvg.defs: * rsvg/rsvg.override: API
  changes: * Remove obsolete functions and methods. * Merge set_default_dpi_x_y
  with set_default_dpi. * Merge Handle.set_dpi_x_y with Handle.set_dpi. *
  Remove "len" argument from Handle.write. * Implement
  Handle.get_dimension_data. * Merge Handle.get_pixbuf_sub with
  Handle.get_pixbuf. * Merge Handle.render_cairo_sub with Handle.render_cairo.

2006-04-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac, examples/rsvg/rsvg-cairo.py,
  rsvg/.cvsignore, rsvg/Makefile.am, rsvg/rsvg.defs, rsvg/rsvg.override,
  rsvg/rsvgmodule.c, tests/common.py: Bug 329978 – librsvg bindings

  * ChangeLog, acinclude.m4, configure.ac: Quote AM_CHECK_PYMOD definition.  *
  acinclude.m4: Quote AM_CHECK_PYMOD definition.  * configure.ac: Bump version
  to 2.15.0.

2006-03-20  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Added glibtop_get_sysinfo wrapper.  * gtop.c:
  (hash_table_to_dict_cb), (gtop_sysinfo):  Added glibtop_get_sysinfo wrapper.

2006-03-12  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, tests/.cvsignore: version 2.14.0

2006-02-12  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: gnomeprint.ui requires gnome-python (#330861)

2006-01-20  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: release 2.13.3

  * ChangeLog, NEWS, README, configure.ac, tests/common.py: misc..

  * .cvsignore, ChangeLog, INSTALL, Makefile.am, configure.ac,
  docs/Makefile.am, examples/applet/GNOME_PythonAppletSample.server,
  examples/applet/README, examples/applet/applet.py,
  examples/gnomeprint/README, examples/gnomeprint/example_01.py,
  examples/gnomeprint/example_02.py, examples/gnomeprint/example_03.py,
  examples/gnomeprint/example_04.py, examples/gnomeprint/example_05.py,
  examples/gnomeprint/example_06.py, examples/gnomeprint/example_08.py,
  examples/gnomeprint/example_09.py, examples/gnomeprint/example_10.glade,
  examples/gnomeprint/example_10.py, examples/gnomeprint/example_11.py,
  examples/gnomeprint/sample-image.png, examples/gnomeprint/test-print.py,
  examples/gtksourceview/test-widget.py, examples/mediaprofiles/profiles.py,
  examples/nautilusburn/blank_disc.py,
  examples/nautilusburn/drive_selection.py, examples/nautilusburn/write_iso.py,
  gnome-python-desktop-2.0.pc.in, gnome-python-extras-2.0.pc.in,
  tests/Makefile.am, tests/common.py, tests/ltihooks.py, tests/runtests.py:
  finish g-p-e/g-p-d split

2006-01-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.13.2

2006-01-16  Johan Dahlin <johan@gnome.org>

  * ChangeLog, Makefile.am, configure.ac, metacity/.cvsignore,
  metacity/Makefile.am, metacity/metacity.defs, metacity/metacity.override,
  metacity/metacitymodule.c: Add metacity bindings.  2006-01-16  Johan Dahlin 
  <johan@gnome.org>  * Makefile.am: * configure.ac: * metacity/.cvsignore: *
  metacity/Makefile.am: * metacity/metacity.defs: * metacity/metacity.override:
  * metacity/metacitymodule.c: (initmetacity):  Add metacity bindings.

2006-01-14  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog, configure.ac: Revert pygda to wrapping the libgda-1.2 API
  instead of the libgda-2.0 API  2006-01-14  Murray Cumming 
  <murrayc@murrayc.com>  * configure.ac: * gda/.cvsignore: * gda/Makefile.am: *
  gda/gda.defs: * gda/gda.override: * gda/pygda-1.2.pc.in: *
  gda/pygdavalue_conversions.c: (pygda_value_from_pyobject),
  (pygda_value_as_pyobject): Revert pygda to wrapping the libgda-1.2 API
  instead of the libgda-2.0 API because libgda-2.0 is unlikely to be API-stable
  in the next few months. And, because distros package g-p-e as one package,
  pygda-2.0 would prevent distribution of pygda-1-2, which kills Glom, which is
  the only thing that uses pygda.

  * ChangeLog, configure.ac: Fix the required libgda-2.0 version, because the
  libgda version has  2006-01-14  Murray Cumming  <murrayc@murrayc.com>  *
  configure.ac: Fix the required libgda-2.0 version, because the libgda version
  has _decreased_, for laughs.

2006-01-11  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, gnomeapplet/applet.defs,
  gnomeapplet/applet.override: panel_applet_set_background_widget

2006-01-02  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, MAINTAINERS, Makefile.am, NEWS, configure.ac: 2.13.1

2006-01-02  Benoît Dejean <bdejean@src.gnome.org>

  * ChangeLog, configure.ac: Requires libgtop 2.13.0.  * configure.ac: Requires
  libgtop 2.13.0.

2005-12-30  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Added smap support.  * gtop.c:
  (map_entry_to_Struct):  Added smap support.

2005-12-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, wnck/wnckmodule.c: register wnck enums/flags

2005-12-11  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.13.0

  * ChangeLog, wnck/wnck.override: wrap wnck_tasklist_get_size_hint_list

  * ChangeLog, wnck/wnck.override: Bug 323775: wnck bindings free lists they
  don't own

2005-11-07  Raphael Slinckx <rslinckx@cvs.gnome.org>

  * gnomedesktop/.cvsignore, gnomedesktop/Makefile.am,
  gnomedesktop/__init__.py, gnomedesktop/_gnomedesktop.defs,
  gnomedesktop/_gnomedesktop.override, gnomedesktop/_gnomedesktopmodule.c: Add
  wrapper for lignome-dektop's GnomeDesktopItem to parse .desktop files 
  2005-11-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>  * configure.ac: *
  deskbar/Makefile.am: * deskbar/deskbarentry.py: *
  deskbar/gnomedesktop/.cvsignore: * deskbar/gnomedesktop/Makefile.am: *
  deskbar/gnomedesktop/__init__.py: * deskbar/gnomedesktop/_gnomedesktop.defs:
  * deskbar/gnomedesktop/_gnomedesktop.override: *
  deskbar/gnomedesktop/_gnomedesktopmodule.c: (init_gnomedesktop): *
  deskbar/handler.py: * deskbar/handler_utils.py: *
  deskbar/handlers/pathprograms.py: * deskbar/handlers/programs.py: Add wrapper
  for lignome-dektop's GnomeDesktopItem to parse .desktop files Replace our
  uses of custom .desktop parser with the new wrapper, it's faster and safer.
  Startup Notification support through use of GnomeDesktopItem.launch() New
  Duplication detection, duplicate items are checked in the order defined by
  handler priorities.

2005-10-30  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac,
  docs/gnomeprint/gnomeprint-gnomeprintconfig.xml, gnomeapplet/applet.defs,
  gnomeapplet/applet.override: merge fixes/additions from 2.12 branch

  * COPYING: damn this COPYING file being constantly overwritten

2005-10-29  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Added method to get a copy of struct as a
  dict. This is a shortcut for  * gtop.c: (struct_dict): Added method to get a
  copy of struct as a dict. This is a shortcut for dict(s.items()). struct
  remains immutable.

2005-10-24  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Added .size to proc_map to avoid manual (end -
  start) substraction.  * gtop.c: (map_entry_to_Struct):  Added .size to
  proc_map to avoid manual (end - start) substraction.

2005-10-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * COPYING, ChangeLog, nautilusburn/nautilus_burn.override,
  nautilusburn/nb_module.c: nautilusburn fixes, by tiago cogumbreiro

2005-10-23  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog, configure.ac: Require libgda-2.0 instead of libgda (1.2). 
  2005-10-23  Murray Cumming <murrayc@murrayc.com>  * configure.ac: Require
  libgda-2.0 instead of libgda (1.2). * gda/Makefile.am: * gda/pygda-1.2.pc.in:
  * gda/pygda-2.0.pc.in: Renamed the file, so that the pygda API version
  matches the libgda version. Require libgda-2.0 instead of libgda (1.2). *
  gda/gda.defs: Regenerate with h2defs.py * gda/gda.override: Do not include
  xgl stuff that was removed from libgda. * gda/pygdavalue_conversions.c:
  (pygda_value_from_pyobject), (pygda_value_as_pyobject): Update for changed
  GdaValue API and GdaConnection API.

2005-10-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: make gda compile with python 2.3

2005-10-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac: _

  * wnck/wnck.defs: wnck last minute (once more) api change

2005-09-10  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.12.0 release

  * gtksourceview/gtksourceview.override: missing NULL arglist terminator

  * ChangeLog, gtksourceview/gtksourceview.defs,
  gtksourceview/gtksourceview.override: some deprecations, constructor fixes

2005-09-09  Raphael Slinckx <rslinckx@cvs.gnome.org>

  * ChangeLog, mediaprofiles/mediaprofiles.override,
  mediaprofiles/mediaprofilesmodule.c: Fix the include header, remove
  gnome-media prefix  2005-09-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>  *
  mediaprofiles/mediaprofiles.override: * mediaprofiles/mediaprofilesmodule.c:
  Fix the include header, remove gnome-media prefix

2005-09-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gtksourceview/Makefile.am, mediaprofiles/Makefile.am: install
  some defs files

2005-08-17  Raphael Slinckx <rslinckx@cvs.gnome.org>

  * ChangeLog, mediaprofiles/mediaprofiles.defs: Change names of functions:
  choose_window to chooser_combo  2005-08-17  Raphael Slinckx 
  <rslinckx@cvs.gnome.org>  * examples/mediaprofiles/profiles.py: *
  mediaprofiles/mediaprofiles.defs:  Change names of functions: choose_window
  to chooser_combo choose_window_get_active to chooser_combo_get_profile
  choose_window_set_active to chooser_combo_set_profile  Update example
  accordingly

2005-08-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac, wnck/wnckmodule.c: version 2.11.4

2005-08-09  Raphael Slinckx <rslinckx@cvs.gnome.org>

  * AUTHORS, ChangeLog, Makefile.am, configure.ac, mediaprofiles/.cvsignore,
  mediaprofiles/Makefile.am, mediaprofiles/mediaprofiles.defs,
  mediaprofiles/mediaprofiles.override, mediaprofiles/mediaprofilesmodule.c:
  Add python bindings for the gnome-media's gnome-media-profiles package. 
  2005-08-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>  * AUTHORS: *
  Makefile.am: * configure.ac: * examples/mediaprofiles/profiles.py: *
  mediaprofiles/.cvsignore: * mediaprofiles/Makefile.am: *
  mediaprofiles/mediaprofiles.defs: * mediaprofiles/mediaprofiles.override: *
  mediaprofiles/mediaprofilesmodule.c:  Add python bindings for the
  gnome-media's gnome-media-profiles package. This allows to retreive audio
  compression preferences from gconf, used for example by Sound Juicer. See
  example file for usage.

2005-07-27  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: [Bug 311642] version-2.11.2 has a small error in
  the configure file

2005-07-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: 2.11.3 release

  * ChangeLog, NEWS, configure.ac: resync egg.* sources with gnome cvs libegg
  module; wrap EggRecentViewUIManager

  * ChangeLog, nautilusburn/nb_drive.c, nautilusburn/nb_module.c: patch by
  tiago cogumbreiro, makes it compile with nautilus-cd-burner 2.11.3; adds new
  methods to nautilusburn.Drive

2005-07-03  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Fixed loadavg keys. (5, 10, 15) -> (1, 5, 15).
   * gtop.c: (gtop_loadavg): Fixed loadavg keys. (5, 10, 15) -> (1, 5, 15).

2005-06-19  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: TinyGecko example, by nkour

2005-06-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, docs/Makefile.am, docs/gnomeprintui/.cvsignore,
  docs/gnomeprintui/Makefile.am, docs/gnomeprintui/gnomeprintui-classes.xml,
  .../gnomeprintui-gnomeprintuidialog.xml,
  .../gnomeprintui-gnomeprintuifontdialog.xml,
  .../gnomeprintui-gnomeprintuifontpreview.xml,
  .../gnomeprintui-gnomeprintuifontselection.xml,
  .../gnomeprintui-gnomeprintuijobpreview.xml,
  .../gnomeprintui-gnomeprintuipaperselector.xml,
  .../gnomeprintui-gnomeprintuipreview.xml: new gnomeprint.ui docs, by gmt

2005-06-12  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gnomeprint/Makefile.am,
  docs/gnomeprint/gnomeprint-classes.xml,
  docs/gnomeprint/gnomeprint-gnomeprintfontface.xml,
  docs/gnomeprint/gnomeprint-gnomeprintglyphlist.xml: more gnomeprint docs by
  gmt

2005-06-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gnomeprint/Makefile.am,
  docs/gnomeprint/gnomeprint-classes.xml,
  docs/gnomeprint/gnomeprint-gnomeprintconfig.xml,
  docs/gnomeprint/gnomeprint-gnomeprintcontext.xml,
  docs/gnomeprint/gnomeprint-gnomeprintfont.xml,
  docs/gnomeprint/gnomeprint-gnomeprintjob.xml: more gnomeprint docs by gmt

2005-06-02  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, docs/Makefile.am, docs/gnomeprint/.cvsignore,
  docs/gnomeprint/Makefile.am, docs/gnomeprint/gnomeprint-classes.xml,
  docs/gnomeprint/gnomeprint-gnomeprintconfig.xml,
  docs/gnomeprint/gnomeprint-gnomeprintcontext.xml,
  docs/gnomeprint/gnomeprint-gnomeprintjob.xml: gnomeprint docs by gmt

2005-05-30  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml,
  .../gtksourceview-gtksourceprintjob.xml: gtksourceview printjob doc, by gmt

2005-05-28  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: some configure fixes

2005-05-26  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Fixed bad casts.  * gtop.c: (_struct_new),
  (initgtop): Fixed bad casts.

2005-05-24  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: add pythonchallenge.com drawing

2005-05-22  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: gtkspell docs: clarify lang parameter usage

  * ChangeLog: minor fix in gtkspell

2005-05-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: nuke hard dependency on gnome-python

  * ChangeLog, Makefile.am, configure.ac: add gmt's gksu and gksu.ui modules

  * ChangeLog, docs/pygtk-ref-docs.make: add rule to generate docs tarballs

  * ChangeLog, docs/common.xsl, docs/pygtk-ref-docs.make,
  docs/ref-html-style.xsl: fix cross-links in reference documentation

2005-05-20  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: egg.recent doesn't require librsvg

2005-05-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am: some last minute fixes before
  2.11.2 release

  * ChangeLog: 2.11.2 release

2005-05-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: bump version, update NEWS

2005-05-11  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, wnck/wnck.defs, wnck/wnck.override: fix wnck api changes

  * ChangeLog, configure.ac, nautilusburn/nautilus_burn.defs,
  nautilusburn/nautilus_burn.override: update to nautilusburn C API changes

2005-05-11  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Struct instead of dict.  * gtop.c:
  (build_siglist): Struct instead of dict.

2005-05-10  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am: new gtkspell example by gmt

2005-05-10  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/ChangeLog, gtop/gtop.c: Added siglist.  * gtop.c: (build_siglist),
  (initgtop): Added siglist.

2005-05-08  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, docs/Makefile.am: gtkspell docs

2005-05-02  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml,
  .../gtksourceview-gtksourcebuffer.xml,
  .../gtksourceview-gtksourcelanguage.xml,
  .../gtksourceview-gtksourcelanguagesmanager.xml,
  .../gtksourceview-gtksourcemarker.xml,
  .../gtksourceview-gtksourcestylescheme.xml,
  docs/gtksourceview/gtksourceview-gtksourcetag.xml,
  .../gtksourceview-gtksourcetagstyle.xml,
  .../gtksourceview-gtksourcetagtable.xml: gtksourceview docs update

2005-05-01  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: gtkspell.Spell.detach fix; more gtkspell.Spell constructor
  improvements

  * ChangeLog: gtkspell.Spell() improved parameter checking

  * ChangeLog, gtksourceview/gtksourceview.defs: Bug 302594: missing objects in
  gtksourceview

2005-04-25  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, gnomeapplet/applet.defs: Bug 301254:
  panel_applet_request_focus() not bound

  * ChangeLog, configure.ac, docs/Makefile.am: gtkmozembed docs, by Gian Mario
  Tagliaretti

2005-04-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml,
  .../gtksourceview-gtksourcebuffer.xml,
  .../gtksourceview-gtksourcelanguage.xml,
  .../gtksourceview-gtksourcelanguagesmanager.xml,
  .../gtksourceview-gtksourcemarker.xml,
  .../gtksourceview-gtksourcestylescheme.xml,
  .../gtksourceview-gtksourcetagstyle.xml,
  .../gtksourceview-gtksourcetagtable.xml: more gtksourceview docs by Gian
  Mario Tagliaretti

2005-04-19  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml,
  .../gtksourceview-gtksourcebuffer.xml,
  .../gtksourceview-gtksourcelanguage.xml,
  docs/gtksourceview/gtksourceview-gtksourceview.xml: more gtksourceview docs
  by Gian Mario Tagliaretti

2005-04-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml,
  .../gtksourceview-gtksourcebuffer.xml,
  docs/gtksourceview/gtksourceview-gtksourceview.xml: gtksourceview docs update
  by Gian Mario Tagliaretti

2005-04-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, docs/gtksourceview/Makefile.am,
  docs/gtksourceview/gtksourceview-classes.xml, docs/pygtk-ref-docs.make: make
  devhelp generation work

2005-04-17  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Return a PyFloat for a GdaNumeric, instead of a PyLong, so we do
  not lose  2005-04-17  Murray Cumming <murrayc@murrayc.com>  *
  gda/pygdavalue_conversions.c: (pygda_value_as_pyobject): Return a PyFloat for
  a GdaNumeric, instead of a PyLong, so we do not lose the part after the
  decimal point.

2005-04-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac, docs/.cvsignore, docs/Makefile.am,
  docs/common.xsl, docs/devhelp.xsl, docs/gtksourceview/.cvsignore,
  docs/gtksourceview/Makefile.am, docs/gtksourceview/gtksourceview-classes.xml,
  docs/gtksourceview/gtksourceview-gtksourceview.xml, docs/html.xsl,
  docs/pdf-style.xsl, docs/pdf.xsl, docs/pygtk-ref-docs.make,
  docs/ref-html-style.xsl, docs/tut-html-style.xsl: gtksourceview ref docs

2005-04-16  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Added casts needed by gcc 3.4. Use extern C, so it can be
  included by C++.  2005-04-16  Murray Cumming, <murrayc@murrayc.com>  *
  gda/pygdavalue_conversions.c: (pygda_value_as_pyobject): Added casts needed
  by gcc 3.4. * gda/pygdavalue_conversions.h: Use extern C, so it can be
  included by C++.

2005-04-15  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Export all symbols, not just initgda(), so we can use the
  utility  2005-04-15  Murray Cumming  <murrayc@murrayc.com>  *
  gda/Makefile.am: Export all symbols, not just initgda(), so we can use the
  utility functions too.

2005-04-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: 2.11.0 release

  * ChangeLog, NEWS: NEWS update

  * ChangeLog: gtkspell fixes

2005-04-15  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Remove @THREADING_CFLAGS@ which has no value, and was just
  copied from the  2005-04-15  Murray Cumming,,,  <murrayc@murrayc.com>  *
  gda/pygda-1.2.pc.in: Remove @THREADING_CFLAGS@ which has no value, and was
  just copied from the pygtk .pc.in file.

2005-04-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: bump version and update NEWS (though release
  will have to wait a bit more)

2005-04-14  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Add defauilt values for Client.open_connection(),  2005-04-14 
  Murray Cumming <murrayc@murrayc.com>  * gda/gda.defs: Add defauilt values for
  Client.open_connection(), Connection.execute_single_command(), gda.Command().
  * examples/gda/select.py: Use default method values, to make the code more
  concise.

2005-04-14  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: fix small typo

2005-04-14  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Distribute gdaglue.h  2005-04-14  Murray Cumming 
  <murrayc@murrayc.com>  * gda/Makefile.am: Distribute gdaglue.h

  * ChangeLog, configure.ac: Install utility headers and pkg-config file. The
  GValue get/set functions  2005-04-14  Murray Cumming <murrayc@murrayc.com>  *
  gda/Makefile.am: Install utility headers and pkg-config file. *
  gda/gda.override: The GValue get/set functions now use the functions from
  pygdavalue_conversions.[h|cc]. * gda/pygdavalue_conversions.h: *
  gda/pygdavalue_conversions.cc: Added pygda_value_from_pyobject() and
  pygda_value_as_pyobject(), containing the code from the get/set functions,
  because we might want to reuse this later. * gda/pygda-1.2.pc.in: Added
  pkg-config file so that the location of the utility headers can be
  discovered.

  * ChangeLog: Ignore the gda_xql_*() functions because they are useless cruft.
  However,  2005-04-14  Murray Cumming <murrayc@murrayc.com>  *
  gda/gda.override: Ignore the gda_xql_*() functions because they are useless
  cruft. However, I can not find a way to ignore the GdaXql* types.

2005-04-12  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog: Mark gda_value_new_*() functions as constructors of GdaValues,
  so that  2005-04-12  Murray Cumming <murrayc@murrayc.com>  * gda/gda.defs:
  Mark gda_value_new_*() functions as constructors of GdaValues, so that python
  allows them to be instantiated.

  * ChangeLog: Added gda.Value::set(). We need the explicit set_*() methods
  too.  2005-04-12  Murray Cumming <murrayc@murrayc.com>  * gda/gda.override:
  Added gda.Value::set(). We need the explicit set_*() methods too.

  * ChangeLog: Use Value::get(). Added gda.Value.get() and ignored the _get()
  functions  2005-04-12  Murray Cumming  <murrayc@murrayc.com>  *
  examples/gda/select.py: Use Value::get(). * gda/gda.override: Added
  gda.Value.get() and ignored the _get() functions from the .defs.

  * ChangeLog: Now works. Added define-boxed for FieldAttributes.  2005-04-12 
  Murray Cumming <murrayc@murrayc.com>  * examples/gda/select.py: Now works. *
  gda/gda.defs: Added define-boxed for FieldAttributes. * gda/gda.override:
  _wrap_gda_data_source_info_tp_setattr(): Allow setting of the cnc_string too.
  I wish we could tell pygtk to generate setters automatically. *
  gda/gdamodule.c: (initgda): Call pygda_add_constants(), so that enum values
  are added to the API.

  * ChangeLog: Get the argc and argv and use them to call gda_init(). This
  removes the  2005-04-12  Murray Cumming  <murrayc@murrayc.com>  *
  gda/gdamodule.c: Get the argc and argv and use them to call gda_init(). This
  removes the need to initialize gettext ourselves. However, gda_init()
  requires two extra parameters and I do not know how to supply them from the
  application.

  * ChangeLog: Rename gda_config_* method names to config_. The method name is
  the name  2005-04-12  Murray Cumming <murrayc@murrayc.com>  * gda/gda.defs:
  Rename gda_config_* method names to config_. The method name is the name of
  the method in the binding, not the C function name. *
  examples/gda/list_data_sources.py: * examples/gda/select.py: Updated for
  config API change. However, I guess this should prbably be
  gda.Config.method_name() instead of gda.config_method_name(). *
  gda/gda.override: Added a get_config_key() to be used instead of
  get_config_key_[type](), because python can do that. From a patch to the
  mailing list by Filip Van Raemdonck.

2005-04-04  Murray Cumming <murrayc@murrayc.com>

  * ChangeLog, Makefile.am, configure.ac: Added gda, a first attempt at
  wrapping libgda 1.2. This is the code from  2005-04-04  Murray Cumming 
  <murrayc@murrayc.com>  * Added gda, a first attempt at wrapping libgda 1.2.
  This is the code from pygda 0.3.0, with some changes. * examples/: Added
  gda/.

2005-03-25  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gnomeapplet/applet.override: applet factory threads unblocking,
  fixes #168057

  * ChangeLog: applet example update

2005-03-07  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.10.0 release

2005-03-02  Sebastien Bacher <seb128@debian.org>

  * ChangeLog, configure.ac, wnck/wnck.defs: Require libwnck 2.9.92  2005-03-02
   Sebastien Bacher  <seb128@debian.org>  * configure.ac: Require libwnck
  2.9.92  * wnck/wnck.defs: updated for the new wnck API.

2005-02-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: 2.9.4 release

  * ChangeLog: merge egg.recent fixes from libegg HEAD; egg.recent.RecentItem
  constructor now accepts optional uri parameter

2005-02-09  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, nautilusburn/nautilus_burn.defs: NautilusBurnMediaType, patch by
  Tiago Cogumbreiro

2005-01-25  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: 2.9.3 release

  * ChangeLog, nautilusburn/Makefile.am, totem/Makefile.am: distcheck fixes

  * ChangeLog, NEWS: fix startup delay in egg.recent

  * ChangeLog, NEWS, nautilusburn/.cvsignore: egg.recent update from cvs libegg

  * AUTHORS, ChangeLog, configure.ac: allow gtkmozembed to link to firefox;
  update AUTHORS

2005-01-21  Benoît Dejean <bdejean@src.gnome.org>

  * ChangeLog, configure.ac: Requires libgtop 2.9.5.  * configure.ac: Requires
  libgtop 2.9.5.

  * gtop/ChangeLog, gtop/gtop.c: Updated.  * gtop.c:
  (open_files_entry_to_Struct): Updated.

2005-01-19  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac, gtksourceview/gtksourceview.defs:
  gtksourceview.SourceView.[gs]set_highlight_current_line

2005-01-18  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * COPYING: revert accidental license overwrite

  * COPYING, ChangeLog, Makefile.am, configure.ac, nautilusburn/Makefile.am,
  nautilusburn/nautilus_burn.defs, nautilusburn/nautilus_burn.override,
  nautilusburn/nb_drive.c, nautilusburn/nb_drive.h,
  nautilusburn/nb_drive_selection.defs, nautilusburn/nb_module.c,
  nautilusburn/nb_track.c, nautilusburn/nb_track.h,
  nautilusburn/nb_typebuiltins.c, nautilusburn/nb_typebuiltins.h: Add Tiago
  Cogumbreiro's nautilusburn module

2005-01-17  Benoît Dejean <bdejean@src.gnome.org>

  * gtop/.cvsignore, gtop/ChangeLog, gtop/gtop.c: Added.  * .cvsignore: Added. 
  * gtop.c: (gtop_fsusage), (gtop_proc_args), (gtop_netlist),
  (hwaddress_format_for_display), (gtop_netload), (get_smp_cpu), (gtop_cpu),
  (open_files_entry_to_Struct), (gtop_proc_open_files), (register_constants):
  Got rid of the workaround for older libgtop.

  * ChangeLog, configure.ac: Requires glib >= 2.6.0 and libgtop >= 2.9.4.  *
  configure.ac: Requires glib >= 2.6.0 and libgtop >= 2.9.4.

2005-01-17  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * COPYING, ChangeLog: update COPYING

2005-01-16  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gtksourceview/gtksourceview.override: accept None as
  background/foreground attributes of GtkSourceTagStyle

  * ChangeLog, gtksourceview/gtksourceview.override: minor gtksourceview fixes

2005-01-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gtksourceview/gtksourceview.override: implement setters for
  GtkSourceTagStyle attrbiutes, patch by stephan kochen

  * COPYING, COPYING.GPL, COPYING.LGPL, ChangeLog, Makefile.am: clarify
  licenses of individual modules

  * ChangeLog, Makefile.am, configure.ac, gtksourceview/Makefile.am,
  gtop/Makefile.am, gtop/gtop.c: integrate gtop bindings; misc build fixes

  * ChangeLog: more API fixes

  * ChangeLog: gdl API fixes

  * ChangeLog, Makefile.am, configure.ac: add gdl module, code by john (J5)
  palmieri

2005-01-06  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, totem/plparser.override: plparser update/cleanup

2005-01-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am, configure.ac, totem/.cvsignore, totem/Makefile.am,
  totem/plparser.defs, totem/plparser.override, totem/plparsermodule.c:
  totem.plparser

2004-12-31  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS, configure.ac: post-release

  * ChangeLog, NEWS, configure.ac: 2.9.2 release

2004-12-26  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am: more gtkspell stuff

  * ChangeLog, Makefile.am, configure.ac: include pygtkspell 0.3.1

2004-12-15  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: gtkmozembed enums/flags

  * ChangeLog, configure.ac: Add run-time library search path for mozilla

  * ChangeLog, Makefile.am, configure.ac, gnomeprint/print.defs,
  gnomeprint/printui.override: gnomeprint fix; add gtkmozembed module

2004-12-04  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am: add recent files examples to dist

  * ChangeLog: add egg.recent.RecentViewBonobo example

  * ChangeLog: egg.recent fixes; RecentViewGtk example

2004-12-03  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, NEWS: populate-recent example

2004-11-29  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, configure.ac: fixes

2004-11-27  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog:
  _wrap_egg_recent_model_set_filter_(uri_schemes|groups|mime_types)

2004-11-26  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog: EggRecentItem

  * COPYING, ChangeLog: egg.recent.RecentViewBonobo

  * ChangeLog, configure.ac: egg.recent

2004-11-24  Johan Dahlin <zilch@src.gnome.org>

  * ChangeLog: blah

  * ChangeLog, wnck/wnck.override: wrap some more

  * ChangeLog, Makefile.am, autogen.sh, configure.ac, wnck/.cvsignore,
  wnck/Makefile.am, wnck/wnck.defs, wnck/wnck.override, wnck/wnckmodule.c: Add
  wnck bindings and change automake requirement from 1.9.2 to 1.7.x

2004-11-23  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * gnomeapplet/Makefile.am: missing pygnomexecdir

  * ChangeLog, gnomeapplet/Makefile.am, gnomeapplet/applet.py: move applet.py
  dummy module from gnome-python-extras

2004-11-22  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, gtksourceview/Makefile.am: fix build in nested builddir

  * ChangeLog, Makefile.am, NEWS: NEWS update

2004-11-21  Gustavo J. A. M. Carneiro <gjc@src.gnome.org>

  * ChangeLog, Makefile.am: add trayicon example

  * ChangeLog: make egg.tray build conditionally

  * ChangeLog, Makefile.am, configure.ac: egg.trayicon

  * .cvsignore, AUTHORS, ChangeLog, Makefile.am, configure.ac,
  gnomeapplet/.cvsignore, gtksourceview/.cvsignore, gtksourceview/Makefile.am,
  gtksourceview/gtksourceview.defs, gtksourceview/gtksourceview.override,
  gtksourceview/gtksourceviewmodule.c: import pygtksourceview module

2004-11-17  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * AUTHORS, ChangeLog, Makefile.am, configure.ac,
  gnome-python-extras-2.0.pc.in, gnomeapplet/Makefile.am,
  gnomeapplet/appletmodule.c, gnomeprint/Makefile.am: convert gnome-python
  build setup to gnome-python-extras

  * .cvsignore, COPYING, autogen.sh: Initial revision

2004-11-16  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnome-python-extras-2.0.pc.in: some changes to support upcoming
  gnome-python-extras module

2004-11-14  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: merge in fixes from 2.6 branch; change version to 2.9.0

2004-10-17  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: bump version

  * Makefile.am: Bug 155326: Some examples are missing in tarball

2004-10-04  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: #154452: Add runtime check for pygtk version

2004-10-03  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: version updates

2004-09-25  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeapplet/appletmodule.c: misc. fixes

  * configure.ac: add gnome_python_version to gnome module

2004-08-23  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: gnomeprint pango

2004-08-22  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/Makefile.am, gnomeprint/print.defs, gnomeprint/print.override:
  gnomeprint pango

2004-08-16  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: require pygtk 2.3.97

2004-08-15  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: pybonobo_closure_new

2004-08-14  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeapplet/applet.override: pannel applet fix

2004-08-11  Jonathan Blandford <jrb@redhat.com>

  * gnomeprint/Makefile.am: use $(pyexecdir) instead of $(pythondir) as the
  module as a whole should  Wed Aug 11 11:40:18 2004  Jonathan Blandford 
  <jrb@redhat.com>  * gconf/Makefile.am: * gnome/Makefile.am: *
  bonobo/Makefile.am: * gtkhtml2/Makefile.am: * gnomeprint/Makefile.am: use
  $(pyexecdir) instead of $(pythondir) as the module as a whole should be
  installed in the same place, #149850

2004-08-07  Johan Dahlin <zilch@src.gnome.org>

  * configure.ac: Post release version bump  * setup.py (MICRO_VERSION): Post
  release version bump  * configure.in:

2004-08-04  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * ltihooks.py: bonobo factory main threading fixes

  * Makefile.am, configure.ac: threading and tests

2004-06-27  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * Makefile.am: Bug 121629: Wrapper for gnome-vfs async API

2004-06-13  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeapplet/applet.override: Fix Mac OS 10.3 linking bug

2004-04-10  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: pygtk version check; new gnome-python version

2004-04-09  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * Makefile.am: Fix bug 136953 (Can we have support for popt?)

2004-04-04  Alex Duggan <aldug@astrolinux.com>

  * configure.ac: Fix the PyOrbit download URL.  2004-04-04  Alex Duggan 
  <aldug@astrolinux.com>  * configure.in: Fix the PyOrbit download URL.

2004-03-14  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeapplet/applet.defs, gnomeapplet/appletmodule.c:
  PannelApplet.get|set_flags, Fixes #137085 (Missing wrapper for
  gnome.applet.Applet's flags)

  * configure.ac: gnome.vfs requires pyorbit; added a bunch o gnome.vfs.mime_*
  wrappers; a few still remain to be wrapped, though

2004-03-08  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: wrap html_selection_get_text in gtkhtml2

2004-02-04  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * configure.ac: fix bonobo-application wrapper code; up required module
  versions

2003-12-20  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/printui.defs, gnomeprint/printui.override: gnomeprint api fix

2003-12-17  James Henstridge <james@daa.com.au>

  * acinclude.m4, configure.ac: GtkTextSearchFlags is a flags value, rather
  than an enum.  2003-12-17  James Henstridge  <james@daa.com.au>  *
  gtk/gtk-types.defs (TextSearchFlags): GtkTextSearchFlags is a flags value,
  rather than an enum.  2003-12-16  James Henstridge  <james@daa.com.au>  *
  configure.in (CFLAGS): add -fno-strict-aliasing to CFLAGS if the compiler
  supports it.  The Python API breaks some of the strict aliasing rules.  *
  acinclude.m4 (JH_ADD_CFLAG): new macro to check whether the compiler supports
  a particular cflag.  * codegen/codegen.py
  (GInterface.get_initial_class_substdict): GInterface wrappers should be
  sizeof(PyObject), since they are mixins.

2003-12-06  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/printui.defs, gnomeprint/printui.override: update to new
  libgnomeprintui 2.5.1 API

2003-12-01  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/print.defs, gnomeprint/print.override:
  gnomeprint.convert_distance

2003-11-26  James Henstridge <james@daa.com.au>

  * configure.ac: remove zvt files.  2003-11-26  James Henstridge 
  <james@daa.com.au>  * gnome/zvt*: remove zvt files.  * gnome-python.spec.in:
  remove zvt references.  * configure.in: remove zvt references.  *
  gnome/Makefile.am: remove zvt references.

2003-11-14  James Henstridge <james@daa.com.au>

  * gnomeapplet/applet.override, gnomeprint/print.override,
  gnomeprint/printui.override: define NO_IMPORT_PYGOBJECT.  2003-11-12  James
  Henstridge  <james@daa.com.au>  * gnomeprint/printui.override: define
  NO_IMPORT_PYGOBJECT.  * gnomeprint/print.override: define
  NO_IMPORT_PYGOBJECT.  * gnome/nautilus.override: define NO_IMPORT_PYGOBJECT
  and NO_IMPORT_PYORBIT.  * gnome/applet.override: define NO_IMPORT_PYGOBJECT.

2003-10-14  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * Makefile.am: gnomeprint examples

2003-10-13  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/printui.defs: gnomeprint.ui.FontDialog fix

  * gnomeprint/print.defs: wrap gnome_print_gsave()

2003-09-02  James Henstridge <james@daa.com.au>

  * Makefile.am: move old change log out of the way.  2003-09-02  James
  Henstridge  <james@daa.com.au>  * ChangeLog.pre-2-0: move old change log out
  of the way.

2003-09-01  James Henstridge <james@daa.com.au>

  * Makefile.am, configure.ac: add PKG-INFO file.  2003-09-01  James Henstridge
   <james@daa.com.au>  * PKG-INFO.in: add PKG-INFO file.  *
  gtkhtml2/gtkhtml2module.c: add missing prototype.  * setup.py: increment
  version number.  * configure.in: increment version number.

2003-08-24  James Henstridge <james@daa.com.au>

  * Makefile.am, configure.ac, gnomeapplet/appletmodule.c,
  gnomeprint/printmodule.c, gnomeprint/printuimodule.c: increment version
  number to 1.99.18.  2003-08-24  James Henstridge  <james@daa.com.au>  *
  configure.in, setup.py: increment version number to 1.99.18.  *
  gtkhtml2/gtkhtml2module.c (initgtkhtml2): same here.  * gnome/zvtmodule.c
  (initzvt): same here.  * gnome/vfsmodule.c (initvfs): same here.  *
  gnome/uimodule.c (initui): same here.  * gnomeprint/printuimodule.c (initui):
  same here.  * gnomeprint/printmodule.c (init_print): same here.  *
  gnome/nautilusmodule.c (initnautilus): same here.  * gnome/gnomemodule.c
  (init_gnome): same here.  * gnome/canvasmodule.c (initcanvas): same here.  *
  gnome/appletmodule.c (initapplet): same here.  * gconf/gconfmodule.c
  (initgconf): same here.  * bonobo/bonobouimodule.c (initui): same here.  *
  bonobo/bonobomodule.c (init_bonobo): same here.  * bonobo/activationmodule.c
  (initactivation): don't convert exceptions to fatal errors.

2003-08-22  James Henstridge <james@daa.com.au>

  * gnomeprint/print.override: fix object names imported from pango module. 
  2003-08-22  James Henstridge  <james@daa.com.au>  *
  gnomeprint/print.override: fix object names imported from pango module.

2003-08-17  James Henstridge <james@daa.com.au>

  * gnomeapplet/applet.defs, gnomeapplet/appletmodule.c: add constants. 
  2003-08-17  James Henstridge  <james@daa.com.au>  * gnome/appletmodule.c
  (initapplet): add constants.  * gnome/applet.defs (get_background): change
  return type to int, since the applet library doesn't register enums.
  (get_orient): similar here.

2003-08-03  James Henstridge <james@daa.com.au>

  * gnomeprint/Makefile.am: add missing definition. (bug #118031).  2003-08-03 
  James Henstridge  <james@daa.com.au>  * bonobo/bonoboui.defs
  (ui_util_pixbuf_to_xml): add missing definition. (bug #118031).

2003-07-21  James Henstridge <james@daa.com.au>

  * gnomeprint/Makefile.am: add a custom wrapper for bonobo_main() that
  unblocks threads. (fixes bug  2003-07-21  James Henstridge 
  <james@daa.com.au>  * bonobo/bonobo.override (_wrap_bonobo_main): add a
  custom wrapper for bonobo_main() that unblocks threads.  (fixes bug #112102).
   * gtkhtml2/Makefile.am: same here.  * gnomeprint/Makefile.am: same here.  *
  gconf/Makefile.am: same here.  * bonobo/Makefile.am: same here.  *
  gnome/Makefile.am: change module.so suffixes to .so.

2003-07-09  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/printui.defs: GnomePrintDialog fixes

2003-03-23  James Henstridge <james@daa.com.au>

  * configure.ac, gnomeprint/Makefile.am: same here.  2003-03-23  James
  Henstridge  <james@daa.com.au>  * setup.py (MICRO_VERSION): same here.  *
  configure.in: increment version number.

2003-03-06  Johan Dahlin <zilch@src.gnome.org>

  * Makefile.am, gnomeapplet/appletmodule.c: Add applet stuff here.  *
  Makefile.am (EXTRA_DIST): Add applet stuff here.  * gnome/appletmodule.c
  (initapplet): Call bonobo_init before gnome_program_module_register to avoid
  segfault when calling gnome.applet.Applet().

2003-03-05  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/printmodule.c: foo

2003-02-26  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/Makefile.am, gnomeprint/print-arg-types.py,
  gnomeprint/print-types.c, gnomeprint/print-types.h, gnomeprint/print.defs,
  gnomeprint/print.override, gnomeprint/printmodule.c: foo

2003-02-25  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/Makefile.am: compilation fix

2003-02-13  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * Makefile.am: new gnomeprint example

2003-02-11  Johan Dahlin <zilch@src.gnome.org>

  * gnomeprint/Makefile.am: Doh. Rename back to uimodule, (from printui). This
  should build  * gnomeprint/Makefile.am (gnomeprintui_la): Doh. Rename back to
  uimodule, (from printui). This should build gnomeprint.ui instead of
  gnomeprint.printui

  * configure.ac: Change  check to make frb happy

2003-02-10  Johan Dahlin <zilch@src.gnome.org>

  * configure.ac: Fix the status output. Should be right now.  * configure.in:
  Fix the status output. Should be right now.

2003-02-10  Gustavo J. A. M. Carneiro <gcarneiro@src.gnome.org>

  * gnomeprint/print.override: warnings fix

2003-02-09  Johan Dahlin <jdahlin@async.com.br>

  * configure.ac: === gnome-python 1.99.15 === 2003-02-08  Johan Dahlin 
  <jdahlin@async.com.br>  * configure.in: increment version number (and pygtk
  requirement)  * setup.py: Ditto.

2003-02-08  Johan Dahlin <zilch@src.gnome.org>

  * Makefile.am, gnomeprint/Makefile.am, gnomeprint/uimodule.c: Add setup.py
  and dsextras.py  * Makefile.am (EXTRA_DIST): Add setup.py and dsextras.py  *
  dsextras.py, setup.py: New files. (for distutils)  * gnomeprint/uimodule.c:
  Removed, It was a dup.  * gnomeprint/Makefile.am: s/uimodule/printuimodule/ 
  * gnome/ui.override (_wrap_gnome_icon_list_set_icon_data): Cast return value
  to avoid warning.

2003-02-08  Gustavo J. A. M. Carneiro <gustavo@users.sourceforge.net>

  * gnomeprint/print.defs, gnomeprint/print.override: Made both arguments
  optional.  2003-02-05  Gustavo J. A. M. Carneiro 
  <gustavo@users.sourceforge.net>  * gnomeprint/print.override
  (_wrap_gnome_glyphlist_bbox): Made both arguments optional.  *
  gnomeprint/print.defs (gnome_glyphlist_new): Make it a constructor of
  GnomeGlyphList.

2003-01-30  James Henstridge <jamesh@src.gnome.org>

  * configure.ac: fix up the problem when "$export_dynamic" is empty

2003-01-15  Johan Dahlin <jdahlin@async.com.br>

  * Makefile.am, configure.ac, gnomeprint/Makefile.am: Remove bogus include,
  make it buildable without libgnomeprintui. Register  2003-01-15  Johan Dahlin
   <jdahlin@async.com.br>  * gnomeprint/Makefile.am: Remove bogus include, make
  it buildable without libgnomeprintui. Register canvas from the correct
  directory  * configure.in: Upped required gnomeprint and gnomeprintui version
  to 2.1.9  * Makefile.am: protect gnomeprint sub directory bu defines

2003-01-14  Johan Dahlin <zilch@src.gnome.org>

  * configure.ac: output status about what modules that will be built or not. 
  * configure.in: output status about what modules that will be built or not.

  * gnomeprint/.cvsignore: forgot the .cvsignore

  * configure.ac, gnomeprint/Makefile.am, gnomeprint/__init__.py,
  gnomeprint/art-gtype.c, gnomeprint/art-gtype.h, gnomeprint/art.defs,
  gnomeprint/print-types.c, gnomeprint/print-types.h, gnomeprint/print.defs,
  gnomeprint/print.override, gnomeprint/printmodule.c, gnomeprint/printui.defs,
  gnomeprint/printui.override, gnomeprint/printuimodule.c,
  gnomeprint/uimodule.c: Checked in complete libgnomeprint and libgnomeprintui
  bindings from  * gnomeprint/*: Checked in complete libgnomeprint and
  libgnomeprintui bindings from Gustavo Carneiro. Fixes #102226  *
  configure.in: Added necessary configure checks.

2002-12-27  James Henstridge <james@daa.com.au>

  * configure.ac: increment version number, and require pygtk-1.99.14 and
  pyorbit-1.99.3  2002-12-27  James Henstridge  <james@daa.com.au>  *
  configure.in: increment version number, and require pygtk-1.99.14 and
  pyorbit-1.99.3

2002-12-24  James Henstridge <james@daa.com.au>

  * configure.ac: use automake-1.7 in preference to 1.6.  2002-12-23  James
  Henstridge  <james@daa.com.au>  * autogen.sh (AUTOMAKE): use automake-1.7 in
  preference to 1.6.  * configure.in (GLIB_LIBS): remove -export-dynamic from
  flags.  2002-12-23  James Henstridge  <james@daa.com.au>  * configure.in
  (PYORBIT_LIBS): add code to get rid of the "-export-dynamic" from the link
  flags, since we want to limit the number of exported symbols.  * autogen.sh
  (AUTOMAKE): allow building with automake 1.7 or 1.6.  * src/ORBitmodule.c
  (add_tc_constants): new function to add CORBA.TC_* constants.  2002-12-23 
  James Henstridge  <james@daa.com.au>  * configure.in (PYORBIT_LIBS): add code
  to get rid of the "-export-dynamic" from the link flags, since we want to
  limit the number of exported symbols.  * autogen.sh (AUTOMAKE): allow
  building with automake 1.7 or 1.6.  * src/ORBitmodule.c (add_tc_constants):
  new function to add CORBA.TC_* constants.

2002-11-20  James Henstridge <james@daa.com.au>

  * configure.ac: error out if the factory could not be created.  2002-11-20 
  James Henstridge  <james@daa.com.au>  * bonobo/bonobo.override
  (_wrap_bonobo_generic_factory_new_closure): error out if the factory could
  not be created. (_wrap_bonobo_moniker_simple_new_closure): and here.
  (_wrap_bonobo_listener_new_closure): and here.
  (_wrap_bonobo_property_bag_new_closure): and here.
  (_wrap_bonobo_item_handler_new_closure): and here.  * gnome/ui.defs
  (gnome_href_new): fix typo (bug #98137).

2002-10-31  James Henstridge <james@daa.com.au>

  * configure.ac: convert to pyorbit.  2002-11-01  James Henstridge 
  <james@daa.com.au>  * bonobo/bonoboui.override: convert to pyorbit. 
  2002-10-31  James Henstridge  <james@daa.com.au>  * bonobo/bonobo.override:
  convert to pyorbit.  * bonobo/bonobo-arg-types.py: update for use with
  pyorbit.  * bonobo/Makefile.am (INCLUDES): get pyorbit includes.  *
  configure.in: require pyorbit instead of orbit-python.

2002-08-25  James Henstridge <james@daa.com.au>

  * configure.ac: increase version number.  2002-08-25  James Henstridge 
  <james@daa.com.au>  * configure.in: increase version number.

2002-08-18  James Henstridge <jamesh@src.gnome.org>

  * Makefile.am: update spec files.

2002-07-10  James Henstridge <james@daa.com.au>

  * configure.ac: update version number.  2002-07-10  James Henstridge 
  <james@daa.com.au>  * configure.in: update version number.

2002-06-16  James Henstridge <james@daa.com.au>

  * Makefile.am: add example gnome-vfs program.  2002-06-16  James Henstridge 
  <james@daa.com.au>  * examples/vfs/shell.py: add example gnome-vfs program.

2002-06-14  James Henstridge <james@daa.com.au>

  * configure.ac: start of gnome-vfs wrapper.  2002-06-15  James Henstridge 
  <james@daa.com.au>  * gnome/vfsmodule.c, gnome/vfs-uri.c, gnome/pygnomevfs.h:
  start of gnome-vfs wrapper.

2002-05-30  Matt Wilson <msw@redhat.com>

  * configure.ac: more AC_SUBST for required versions  2002-05-30  Matt Wilson 
  <msw@redhat.com>  * configure.in: more AC_SUBST for required versions  *
  gnome-python.spec.in: more subpackages, defattrs.

2002-05-28  Matt Wilson <msw@redhat.com>

  * configure.ac: AC_SUBST more required versions for use in the spec file. 
  2002-05-28  Matt Wilson  <msw@redhat.com>  * configure.in: AC_SUBST more
  required versions for use in the spec file.  * gnome-python.spec.in: added
  bonobo, nautilus subpackages. re-enabled applet subpackage

2002-05-19  James Henstridge <jamesh@src.gnome.org>

  * Makefile.am: add missing files to EXTRA_DIST

2002-05-13  James Henstridge <jamesh@src.gnome.org>

  * configure.ac: increment version number.

2002-04-30  Matt Wilson <msw@redhat.com>

  * Makefile.am, configure.ac: small example for gtkhtml2  2002-04-29  Matt
  Wilson  <msw@redhat.com>  * examples/gtkhtml2/simple-browser.py: small
  example for gtkhtml2  * Makefile.am (SUBDIRS): add gtkhtml2  * configure.in
  (AC_CONFIG_FILES): add gtkhtml/Makefile to output files (PKG_CHECK_MODULES):
  add conditional check for gtkhtml2  * gtkhtml2/gtkhtml2.defs: new file  *
  gtkhtml2/gtkhtml2module.c: new file  * gtkhtml2/gtkhtml2.override: new file 
  * gtkhtml2/Makefile.am: new file, implement gtkhtml2 bindings

2002-04-05  Johan Dahlin <jdahlin@telia.com>

  * configure.ac, gnome-python-extras-2.0.pc.in, gnomeapplet/applet.override:
  Add gnome-python-2.0.pc  2002-04-05  Johan Dahlin  <jdahlin@telia.com>  *
  .cvsignore: Add gnome-python-2.0.pc  * gnome-python-2.0.pc.in (exec_prefix):
  New file  2002-04-04  Johan Dahlin  <jdahlin@telia.com>  *
  gnome/applet.override (_wrap_panel__applet_bonobo_factory): This is a
  function of type kwargs  (_wrap_panel_applet_setup_menu_from_file): Impl.

2002-03-18  James Henstridge <james@daa.com.au>

  * configure.ac, gnomeapplet/applet.override: set modulename.  2002-03-18 
  James Henstridge  <james@daa.com.au>  * bonobo/bonoboui.override: set
  modulename.  * bonobo/bonobo.override: set modulename.  *
  gconf/gconf.override: set modulename.  * gnome/nautilus.override: set
  modulename.  * gnome/zvt.override: set modulename.  * gnome/canvas.override:
  set modulename.  * gnome/ui.override: set modulename.  *
  gnome/gnome.override: set modulename.  * configure.in: increase required
  version numbers.

2002-03-06  Johan Dahlin <jdahlin@telia.com>

  * configure.ac, gnomeapplet/applet.defs, gnomeapplet/applet.override: Make
  translators and documenters argument to GnomeAbout.__init__ optional. 
  2002-03-06  Johan Dahlin  <jdahlin@telia.com>  * gnome/ui.override: Make
  translators and documenters argument to GnomeAbout.__init__ optional.  *
  gnome/ui.defs: Remove private gconf functions, and change GNOME_TYPE_APP_BAR
  to GNOME_TYPE_APPBAR.  * gnome/applet.defs: Regenerate against latest
  libpanel-applet  * gnome/applet.override (panel_applet_factory_main_closure):
  impl. (panel_applet_setup_menu): impl  * gnome/canvas.defs: Add
  GnomeCanvas.set_pixels_per_unit.  * gnome/canvas.override: Use noargs on
  functions that doesn't require any arguments. Remove kwargs and
  ParseTupleAndKeyword from the same functions.  2002-02-27  Johan Dahlin 
  <jdahlin@telia.com>  * gnome/ui.defs: gnome_appbar_get_progress returns a
  GtkProgressBar now.  * gnome/canvas.defs: Added.

2002-01-31  James Henstridge <james@daa.com.au>

  * configure.ac: include gconf-fixes.h  2002-01-31  James Henstridge 
  <james@daa.com.au>  * gconf/Makefile.am (gconfmodule_la_SOURCES): include
  gconf-fixes.h  * gnome/__init__.py: make gnome.init() an alias for
  gnome.program_init().

  * configure.ac: increment version number of package and requirements. Change
  -ansi to  2002-01-31  James Henstridge  <james@daa.com.au>  * configure.in:
  increment version number of package and requirements.  Change -ansi to
  -std=c9x to work arround potential problems with gcc 2.95.x.  *
  gtk/libglade.override (connect_one): fix up signature on function.
  (connect_many): same here.  2002-01-31  James Henstridge  <james@daa.com.au> 
  * gnome/nautilusmodule.c (initnautilus): get rid of // comment  *
  configure.in: increment version number of package and requirements.

2002-01-31  Johan Dahlin <jdahlin@telia.com>

  * configure.ac: Replace -ansi with -std=c9x  2002-01-31  Johan Dahlin 
  <jdahlin@telia.com>  * configure.in: Replace -ansi with -std=c9x

2002-01-22  James Henstridge <james@daa.com.au>

  * configure.ac: add extra argument.  2002-01-22  James Henstridge 
  <james@daa.com.au>  * bonobo/bonoboui.defs (xml_set_prop): add extra
  argument.

2002-01-19  Johan Dahlin <jdahlin@telia.com>

  * Makefile.am, configure.ac: Added 3 examples.  2002-01-19  Johan Dahlin 
  <jdahlin@telia.com>  * examples/gconf/: Added 3 examples.  * gconf/: Lots of
  files: Initial checkin.  * gnome/.cvsignore: Add applet.c  * configure.in:
  Add check for glib (for glib-mkenums) and check for gconf.  *
  gnome/Makefile.am (appletmodule_la): Build applet by default.

2002-01-18  Johan Dahlin <jdahlin@telia.com>

  * gnomeapplet/applet.defs, gnomeapplet/applet.override,
  gnomeapplet/appletmodule.c: Add applet bindnings.  2002-01-19  Johan Dahlin 
  <jdahlin@telia.com>  * gnome/applet*: Add applet bindnings.  *
  bonobo/bonobo.override (_wrap_bonobo_generic_factory_new_closure): *
  bonobo/bonoboui.override (_wrap_bonobo_widget_new_control): Wrapped, needs
  more testing.  * bonobo/bonoboui.defs (bonobo_widget_new_control): This is
  the constructor of BonoboWidget.  * gnome/Makefile.am
  (nautilusmodule_la_CFLAGS): Add orbit-python's CFLAGS.  *
  examples/nautilus/sample.py: Rewrite, make it a nice class instead of ugly
  functions. It's now a complete conversion of nautilus-sample-content-view.  *
  examples/nautilus/README: Some additions  * gnome/nautilus.override
  (nautilus_view_create_function): Check execption after PyObject_CallFunction,
  so they'll be catched and printed. Include <orbit-python.h>.

2002-01-17  Johan Dahlin <zilch@src.gnome.org>

  * AUTHORS: And now, the moment you've all been waiting for. Hang on for a few
  more seconds and you'll see me update... my... ehum... *grin* .... email
  address.

2002-01-17  James Henstridge <james@daa.com.au>

  * AUTHORS: call bonobo_setup_x_error_handler().  2002-01-17  James Henstridge
   <james@daa.com.au>  * bonobo/bonobouimodule.c (initui): call
  bonobo_setup_x_error_handler().  * AUTHORS: add msw to the authors list.

2002-01-16  Johan Dahlin <jdahlin@telia.com>

  * configure.ac: Remove try except clause until it's a bit more stable and
  tested.  2002-01-16  Johan Dahlin  <jdahlin@telia.com>  * bonobo/__init__.py:
  Remove try except clause until it's a bit more stable and tested.  *
  bonobo/bonobo-arg-types.py (CorbaObjectArg.write_return): s/append/write/ to
  make it work. Change it slightly to avoid warnings, We don't need to cast to
  the corba object type, just CORBA_Object will do just fine.  *
  bonobo/bonobo.override: include bonobo-presist-client.h and ignore
  bonobo_config_*.  * bonobo/Makefile.am: Add activationmodule.  *
  configure.in: check for bonobo-activation.

2002-01-16  James Henstridge <james@daa.com.au>

  * configure.ac: also import BonoboControl  2002-01-16  James Henstridge 
  <james@daa.com.au>  * gnome/nautilus.override: also import BonoboControl  *
  bonobo/bonobo-arg-types.py: plug in ORBit argument types.  *
  bonobo/bonoboui.override: include and initialise orbit-python.  *
  bonobo/bonobo.override: include and initialise orbit-python.  *
  gnome/nautilus.override: import BonoboObject type from bonobo module.  *
  gnome/nautilus.defs: get rid of BonoboObject def.  * configure.in
  (have_orbit_python): check for orbit-python. (BUILD_GNOMEUI): conditionalise
  building of gnome.ui on whether we have orbit-python. (BUILD_BONOBO): and
  bonobo (BUILD_BONOBOUI): and bonobo.ui (BUILD_NAUTILUS): and gnome.nautilus

2002-01-12  Johan Dahlin <zilch@src.gnome.org>

  * configure.ac: and configure.in too :)

2002-01-12  James Henstridge <james@daa.com.au>

  * configure.ac: update makefile.  2002-01-12  James Henstridge 
  <james@daa.com.au>  * bonobo/Makefile.am (uimodule_la_LIBADD): update
  makefile.  * bonobo/bonobouimodule.c, bonobo/bonoboui.override: same here.  *
  bonobo/bonobomodule.c, bonobo/bonobo.override: fill in skels.

2002-01-11  James Henstridge <jamesh@src.gnome.org>

  * Makefile.am, configure.ac: add bonobo directory (empty for now)

2002-01-03  Johan Dahlin <jdahlin@telia.com>

  * configure.ac: Add constants.  2002-01-03  Johan Dahlin  <jdahlin@telia.com>
   * gnome/gnomemodule.c (init_gnome): Add constants.  * gnome/ui.override,
  gnome/ui.defs, gnome/Makefile.am gnome/uimodule.c, gnome/__init__.py
  gnome/.cvsignore, configure.in: Initial libgnomeui support.

2001-12-24  James Henstridge <james@daa.com.au>

  * configure.ac: define pygtk version and required package versions as m4
  macros at the top  2001-12-24  James Henstridge  <james@daa.com.au>  *
  configure.in: define pygtk version and required package versions as m4 macros
  at the top of the file rather than shell variables. These can be put before
  the AC_INIT macro without problems. (AM_PATH_PYTHON): require python 2.2
  final.  2001-12-24  James Henstridge  <james@daa.com.au>  * configure.in:
  increment version number, and put version numbers at the top of the file as
  m4 defines. Require python 2.2 final

2001-11-29  Matt Wilson <msw@src.gnome.org>

  * Makefile.am: missing \

2001-11-29  Matt Wilson <msw@redhat.com>

  * Makefile.am, configure.ac: check for libzvt, build zvt binding if it
  exists.  2001-11-28  Matt Wilson  <msw@redhat.com>  * configure.in: check for
  libzvt, build zvt binding if it exists.  * gnome/Makefile.am, zvt.defs,
  zvt.override, zvtmodule.c: add start of new zvt binding.  *
  examples/zvt/zvt-demo.py: zvt demo.  * Makefile.am (EXTRA_DIST): add
  zvt-demo.py

2001-11-27  Matt Wilson <msw@redhat.com>

  * configure.ac: require libgnome-devel  2001-11-27  Matt Wilson 
  <msw@redhat.com>  * gnome-python.spec.in (BuildRequires): require
  libgnome-devel  * gnome/gnome.defs (help_display, help_display_with_doc_id,
  help_display_desktop): modified to use new API.  * configure.in
  (LIBGNOME_VERSION): grab version, increase libgnome2 requirement to 1.107.0.

2001-11-26  Matt Wilson <msw@redhat.com>

  * configure.ac: 1.99.5  2001-11-26  Matt Wilson  <msw@redhat.com>  *
  configure.in: 1.99.5

2001-10-31  James Henstridge <james@daa.com.au>

  * configure.ac: adjust makefile rule so that it gets triggered correctly. Is
  the %.c  2001-10-31  James Henstridge  <james@daa.com.au>  *
  gnome/Makefile.am (%.c): adjust makefile rule so that it gets triggered
  correctly.  Is the %.c syntax a GNU make'ism?  * configure.in (minver):
  require python 2.2b1.

2001-10-26  Matt Wilson <msw@redhat.com>

  * configure.ac: change version to 1.99.4 (PKG_CHECK_PROG): change pygtk
  requirement to  2001-10-26  Matt Wilson  <msw@redhat.com>  * configure.in
  (AC_INIT): change version to 1.99.4 (PKG_CHECK_PROG): change pygtk
  requirement to 1.99.4 (AM_PATH_GTK_2_0): bump to 1.3.10

2001-10-16  Matt Wilson <msw@redhat.com>

  * configure.ac: start of gnome binding. (needs lots of work, things are not
  where they  2001-10-16  Matt Wilson  <msw@redhat.com>  * gnome/gnomemodule.c:
  start of gnome binding. (needs lots of work, things are not where they were
  in old pygnome, etc...)  * gnome/gnome.override: start of gnome binding.  *
  gnome/gnome.defs: start of gnome binding.  * gnome/__init__.py: import the
  toplevel gnome binding into here.  * configure.in: check for gnome-2.0  *
  gnome/Makefile.am (pygnomeexec_LTLIBRARIES): add the start of the gnome
  binding, write a generic rule for generated .c files.

2001-10-11  Matt Wilson <msw@redhat.com>

  * configure.ac: renamed to gnome-python2, added defattr  2001-10-11  Matt
  Wilson  <msw@redhat.com>  * gnome-python.spec.in (Name): renamed to
  gnome-python2, added defattr  * configure.in (AC_INIT): bump to 1.99.3

2001-10-09  James Henstridge <james@daa.com.au>

  * Makefile.am, configure.ac: increase required pygtk version to 1.99.3 
  2001-10-09  James Henstridge  <james@daa.com.au>  * configure.in (minver):
  increase required pygtk version to 1.99.3  * gnome-python.spec.in: few small
  changes.  There won't be a libglade module in gnome-python, as libglade2
  autoloads support for things like gnome or bonobo.  * gnome/Makefile.am
  (gnomecanvas.c): call --register on the -types.defs files, to reduce code
  generation time.

2001-10-08  Matt Wilson <msw@src.gnome.org>

  * configure.ac: use automake 2.50 style

2001-10-08  Matt Wilson <msw@redhat.com>

  * Makefile.am, configure.ac: added the example and spec file to EXTRA_DIST
  (dist-hook): added a  2001-10-08  Matt Wilson  <msw@redhat.com>  *
  Makefile.am (EXTRA_DIST): added the example and spec file to EXTRA_DIST
  (dist-hook): added a dist-hook to copy the spec file into the dist  *
  .cvsignore: add gnome-python.spec  * gnome/Makefile.am: use the defsdir in
  the pkgconfig, not hardcoded to the way things are in CVS.  Caveat: you must
  install the defs file before building, but that's OK as we needed codegen
  from pygtk anyway.  * gnome-python.spec.in: added spec file based off the old
  pygtk one.  * configure.in: note the versions of gtk, libgnomecanvas, and
  pygtk for use in the spec file.  Renamed the defsdir variable PYGTK_DEFSDIR. 
  Added gnome-python.spec to AC_OUTPUT.

2001-10-01  Matt Wilson <msw@redhat.com>

  * configure.ac: copy version check for alpha versions of python from pygtk 
  2001-10-01  Matt Wilson  <msw@redhat.com>  * configure.in: copy version check
  for alpha versions of python from pygtk

2001-09-14  James Henstridge <james@daa.com.au>

  * AUTHORS: add test use of add_constants.  2001-09-15  James Henstridge 
  <james@daa.com.au>  * gtk/gtkmodule.c (init_gtk): add test use of
  add_constants.  * pygobject.h (_PyGObject_Functions): add new functions to
  header.  * gobjectmodule.c (pyg_enum_add_constants): new function for adding
  constants to a module dictionary from a particular GType.
  (pyg_flags_add_constants): similar for flag types. (functions): add to export
  function vtable.

  * acinclude.m4, configure.ac: fix up defsdir definition.  2001-09-14  James
  Henstridge  <james@daa.com.au>  * pygtk-2.0.pc.in (defsdir): fix up defsdir
  definition.  * Makefile.am (pkginclude_HEADERS): install ExtensionClass.h
  header (this can go when we switch over to python2.2 type/class stuff. 
  2001-09-14  James Henstridge  <james@daa.com.au>  * gnome/*: integrate
  Zilch's gnome.canvas module.

2001-09-14  James Henstridge <jamesh@src.gnome.org>

  * Makefile.am, configure.ac: some of the infrastructure for new module.

  * configure.ac: add gnome-python directory where the gnome bindings will be
  held.  They will be a separate package to the pygtk bindings, rather than
  containing them.
